
/**
* Ditopn Check规则
*/
import Utils from "~/utils";
export default {

    "liaall.misamt": [checkLiaallMisamtN100,],
    "liaall.limmod.limpts.oth.pts.extkey": [checkLiaallLimmodLimptsOthPtsExtkeyN100, checkLiaallLimmodLimptsOthPtsExtkeyN950, checkLiaallLimmodLimptsOthPtsExtkeyN960,],
    "didgrp.apl.pts.ref": [checkDidgrpAplPtsRefN100,],
    "didgrp.apl.pts.youzbm": [checkDidgrpAplPtsYouzbmN100,],
    "ameadvrmk": [checkAmeadvrmkN100,],
    "liaall.limmod.ownref": [checkLiaallLimmodOwnrefN100,],
    "didgrp.rec.expplc": [checkDidgrpRecExpplcN900,],
    "didgrp.rec.fqtime": [checkDidgrpRecFqtimeN100,],
    "didgrp.adv.pts.bankno": [checkDidgrpAdvPtsBanknoN100,],
    "didgrp.rec.tratyp": [checkDidgrpRecTratypN100,],
    "liaall.limmod.ecifno": [checkLiaallLimmodEcifnoN100,],
    "ditp.benp.ptsget.sdamod.dadsnd": [checkDitpBenpPtsgetSdamodDadsndN100,],
    "didgrp.rec.revdat": [checkDidgrpRecRevdatN100,],
    "didgrp.iss.pts.extkey": [checkDidgrpIssPtsExtkeyN950, checkDidgrpIssPtsExtkeyN960,],
    "didgrp.rec.sdsrfs": [checkDidgrpRecSdsrfsN100,],
    "didgrp.iss.pts.youzbm": [checkDidgrpIssPtsYouzbmN1001,],
    "didgrp.rec.fqzytgfw": [checkDidgrpRecFqzytgfwN100,],
    "didgrp.rec.conamt": [checkDidgrpRecConamtN100,],
    "didgrp.apc.pts.bankno": [checkDidgrpApcPtsBanknoN100,],
    "didgrp.rec.shppro": [checkDidgrpRecShpproN100,],
    "didgrp.rec.shpto": [checkDidgrpRecShptoN100,],
    "didgrp.ben.namelc": [checkDidgrpBenNamelcN100,],
    "didgrp.cmb.pts.bankno": [checkDidgrpCmbPtsBanknoN100,],
    "didgrp.rec.shppar": [checkDidgrpRecShpparN100,],
    "liaall.limmod.othp.ptsget.sdamod.dadsnd": [checkLiaallLimmodOthpPtsgetSdamodDadsndN100,],
    "didgrp.rmb.adrelc": [checkDidgrpRmbAdrelcN100,],
    "didgrp.apl.pts.extkey": [checkDidgrpAplPtsExtkeyN950, checkDidgrpAplPtsExtkeyN960,],
    "didgrp.apb.pts.bankno": [checkDidgrpApbPtsBanknoN100,],
    "didgrp.rec.rmbcha": [checkDidgrpRecRmbchaN100,],
    "ditp.aplp.ptsget.sdamod.dadsnd": [checkDitpAplpPtsgetSdamodDadsndN100,],
    "didgrp.avb.pts.bankno": [checkDidgrpAvbPtsBanknoN100,],
    "didgrp.rmb.pts.extkey": [checkDidgrpRmbPtsExtkeyN950, checkDidgrpRmbPtsExtkeyN960,],
    "setmod.dspflg": [checkSetmodDspflgN100, checkSetmodDspflgN1100, checkSetmodDspflgN1200,],
    "didgrp.blk.revcls": [checkDidgrpBlkRevclsN100,],
    "didgrp.rmb.pts.bankno": [checkDidgrpRmbPtsBanknoN100,],
    "didgrp.ben.adrelc": [checkDidgrpBenAdrelcN100,],
    "didgrp.rec.apprulrmb": [checkDidgrpRecApprulrmbN100,],
    "didgrp.apl.pts.dihdig": [checkDidgrpAplPtsDihdigN100,],
    //"didgrp.rec.conno": [checkDidgrpRecConnoN100, checkDidgrpRecConnoN1001,],
    "didgrp.rec.conno": [checkDidgrpRecConnoN100,],
    "didgrp.blk.defdet": [checkDidgrpBlkDefdetN100, checkDidgrpBlkDefdetN100, checkDidgrpBlkDefdetN1001,],
    "didgrp.rec.elcflg": [checkDidgrpRecElcflgN100,],
    "didgrp.blk.insbnk": [checkDidgrpBlkInsbnkN100,],
    "liaall.liaccv.totcovamt": [checkLiaallLiaccvTotcovamtN100,],
    "didgrp.beb.pts.bankno": [checkDidgrpBebPtsBanknoN100,],
    "didgrp.apl.pts.adrblk": [checkDidgrpAplPtsAdrblkN950,],
    "didgrp.rec.lcrtyp": [checkDidgrpRecLcrtypN900,],
    "didgrp.rec.shpfro": [checkDidgrpRecShpfroN100,],
    "didgrp.rec.guaflg": [checkDidgrpRecGuaflgN100,],
    "didgrp.iss.pts.bankno": [checkDidgrpIssPtsBanknoN100,],
    //"didgrp.blk.lcrgod": [checkDidgrpBlkLcrgodN100, checkDidgrpBlkLcrgodN100, checkDidgrpBlkLcrgodN1001,],
    "didgrp.blk.lcrgod": [checkDidgrpBlkLcrgodN100,],
    "didgrp.rec.idcode": [checkDidgrpRecIdcodeN100,],
    "didgrp.rec.fenctg": [checkDidgrpRecFenctgN100,],
    "liaall.limmod.limpts.wrk.pts.extkey": [checkLiaallLimmodLimptsWrkPtsExtkeyN100, checkLiaallLimmodLimptsWrkPtsExtkeyN950, checkLiaallLimmodLimptsWrkPtsExtkeyN960,],
    "didgrp.ben.pts.dihdig": [checkDidgrpBenPtsDihdigN1004,],
    "didgrp.rec.shpdat": [checkDidgrpRecShpdatN100, checkDidgrpRecShpdatN999,],
    "didgrp.cbs.nom1.cur": [checkDidgrpCbsNom1CurN100,],
    "didgrp.iss.pts.dihdig": [checkDidgrpIssPtsDihdigN1001,],
    "didgrp.apl.namelc": [checkDidgrpAplNamelcN100,],
    "didgrp.rec.revtyp": [checkDidgrpRecRevtypN100,],
    "didgrp.rmb.pts.adrblk": [checkDidgrpRmbPtsAdrblkN950,],
    "mtabut.coninf.conexedat": [checkMtabutConinfConexedatN100,],
    "didgrp.adv.pts.youzbm": [checkDidgrpAdvPtsYouzbmN1003,],
    "didgrp.apl.pts.extact": [checkDidgrpAplPtsExtactN100,],
    "didgrp.ben.pts.adrblk": [checkDidgrpBenPtsAdrblkN950,],
    "liaall.limmod.limpts.nonrevflg1": [checkLiaallLimmodLimptsNonrevflg1N100,],
    "didgrp.apc.pts.youzbm": [checkDidgrpApcPtsYouzbmN1002,],
    "didgrp.ben.pts.youzbm": [checkDidgrpBenPtsYouzbmN1004,],
    "didgrp.rec.opndat": [checkDidgrpRecOpndatN100, checkDidgrpRecOpndatN950,],
    "didgrp.rec.avbby": [checkDidgrpRecAvbbyN100,],
    "didgrp.rec.mytype": [checkDidgrpRecMytypeN100,],
    "ditp.usr.extkey": [checkDitpUsrExtkeyN100,],
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd": [checkLiaallLimmodWrkpPtsgetSdamodDadsndN100,],
    "ditp.recget.sdamod.dadsnd": [checkDitpRecgetSdamodDadsndN100,],
    "didgrp.apc.pts.dihdig": [checkDidgrpApcPtsDihdigN1002,],
    //"didgrp.adv.pts.extkey": [checkDidgrpAdvPtsExtkeyN100, checkDidgrpAdvPtsExtkeyN950, checkDidgrpAdvPtsExtkeyN960,],
    "didgrp.adv.pts.extkey": [checkDidgrpAdvPtsExtkeyN100,],
    "didgrp.rmb.namelc": [checkDidgrpRmbNamelcN100,],
    "setmod.docamt": [checkSetmodDocamtN100, checkSetmodDocamtN15000,],
    "didgrp.adv.pts.dihdig": [checkDidgrpAdvPtsDihdigN1003,],
    "didgrp.rec.expdat": [checkDidgrpRecExpdatN100,],
    "didgrp.ben.pts.extkey": [checkDidgrpBenPtsExtkeyN950, checkDidgrpBenPtsExtkeyN960,],
    "liaall.liaccv.cshpct": [checkLiaallLiaccvCshpctN100,],
    "didgrp.rec.avbwth": [checkDidgrpRecAvbwthN100, checkDidgrpRecAvbwthN900,],
    //"didgrp.blk.lcrdoc": [checkDidgrpBlkLcrdocN100, checkDidgrpBlkLcrdocN100, checkDidgrpBlkLcrdocN1001,],
    "didgrp.blk.lcrdoc": [checkDidgrpBlkLcrdocN100,],
    //"didgrp.rec.tenmaxday": [checkDidgrpRecTenmaxdayN1000, checkDidgrpRecTenmaxdayN1050,],
    "didgrp.rec.tenmaxday": [checkDidgrpRecTenmaxdayN1000,],
    "didgrp.cbs.nom1.amt": [checkDidgrpCbsNom1AmtN100,],
    "didgrp.blk.preper": [checkDidgrpBlkPreperN100, checkDidgrpBlkPreperN100,],
    "didgrp.apl.adrelc": [checkDidgrpAplAdrelcN100,],
    "ditp.rmbp.ptsget.sdamod.dadsnd": [checkDitpRmbpPtsgetSdamodDadsndN100,],
    "didgrp.ben.pts.extact": [checkDidgrpBenPtsExtactN1001,],
    "didgrp.blk.adlcnd": [checkDidgrpBlkAdlcndN100, checkDidgrpBlkAdlcndN100,],
    "litameadv": [checkLitameadvN100,ruleLitameadvN100,],
    "liaall.liaccv.relcshpct": [checkLiaallLiaccvRelcshpctN100,],
    "didgrp.rec.bdflg":[resetDidgrpRecBdflg,],
}
/**
*   source:liaall.@0019.script
*   liaall
*/
function checkLiaallMisamtN100(rule, value, callback) {
    callback()
}
/**
*   source:limmod.@0005.script
*   liaall.limmod
*/
function checkLiaallLimmodLimptsOthPtsExtkeyN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0009.script
*   liaall.limmod.othp.ptsget
*/
function checkLiaallLimmodLimptsOthPtsExtkeyN950(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0013.script
*   liaall.limmod.othp
*/
function checkLiaallLimmodLimptsOthPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0104.script
*   
*/
function checkDidgrpAplPtsRefN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0121.script
*   
*/
function checkDidgrpAplPtsYouzbmN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0092.script
*   
*/
function checkAmeadvrmkN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("ameadvrmk").then(res => {
        callback()
    })
}
/**
*   source:limmod.@0097.script
*   liaall.limmod
*/
function checkLiaallLimmodOwnrefN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0027.script
*   ditp
*/
function checkDidgrpRecExpplcN900(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.expplc").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditp.@0088.script
*   ditp
*/
function checkDidgrpRecFqtimeN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.advp
*/
function checkDidgrpAdvPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0106.script
*   
*/
function checkDidgrpRecTratypN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.tratyp").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:limmod.@0085.script
*   liaall.limmod
*/
function checkLiaallLimmodEcifnoN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0001.script
*   ditp.benp.ptsget
*/
function checkDitpBenpPtsgetSdamodDadsndN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0040.script
*   ditp
*/
function checkDidgrpRecRevdatN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0009.script
*   ditp.issp.ptsget
*/
function checkDidgrpIssPtsExtkeyN950(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0013.script
*   ditp.issp
*/
function checkDidgrpIssPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0092.script
*   ditp
*/
function checkDidgrpRecSdsrfsN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0124.script
*   
*/
function checkDidgrpIssPtsYouzbmN1001(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.iss.pts.youzbm").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditp.@0082.script
*   ditp
*/
function checkDidgrpRecFqzytgfwN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0029.script
*   ditp
*/
function checkDidgrpRecConamtN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.apcp
*/
function checkDidgrpApcPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0091.script
*   ditp
*/
function checkDidgrpRecShpproN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0090.script
*   ditp
*/
function checkDidgrpRecShptoN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0038.script
*   ditp.benp
*/
function checkDidgrpBenNamelcN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.ben.namelc").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ptsp.@0031.script
*   ditp.cmbp
*/
function checkDidgrpCmbPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0108.script
*   
*/
function checkDidgrpRecShpparN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.shppar").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ptsget.@0001.script
*   liaall.limmod.othp.ptsget
*/
function checkLiaallLimmodOthpPtsgetSdamodDadsndN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0039.script
*   ditp.rmbp
*/
function checkDidgrpRmbAdrelcN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0009.script
*   ditp.aplp.ptsget
*/
function checkDidgrpAplPtsExtkeyN950(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.apl.pts.extkey").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ptsp.@0013.script
*   ditp.aplp
*/
function checkDidgrpAplPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.apbp
*/
function checkDidgrpApbPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0035.script
*   ditp
*/
function checkDidgrpRecRmbchaN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0001.script
*   ditp.aplp.ptsget
*/
function checkDitpAplpPtsgetSdamodDadsndN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.avbp
*/
function checkDidgrpAvbPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0009.script
*   ditp.rmbp.ptsget
*/
function checkDidgrpRmbPtsExtkeyN950(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0013.script
*   ditp.rmbp
*/
function checkDidgrpRmbPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:setmod.@0076.script
*   setmod
*/
function checkSetmodDspflgN100(rule, value, callback) {
    callback()
}
/**
*   source:setmod.@0090.script
*   setmod
*/
function checkSetmodDspflgN1100(rule, value, callback) {
    callback()
}
/**
*   source:setmod.@0146.script
*   setmod
*/
function checkSetmodDspflgN1200(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.revclause
*/
function checkDidgrpBlkRevclsN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.rmbp
*/
function checkDidgrpRmbPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0039.script
*   ditp.benp
*/
function checkDidgrpBenAdrelcN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.ben.adrelc").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditp.@0043.script
*   ditp
*/
function checkDidgrpRecApprulrmbN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0122.script
*   
*/
function checkDidgrpAplPtsDihdigN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0112.script
*   
*/
function checkDidgrpRecConnoN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.conno").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditp.@0103.script
*   ditp
*/
function checkDidgrpRecConnoN1001(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.defdet
*/
function checkDidgrpBlkDefdetN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0047.script
*   ditp
*/
function checkDidgrpBlkDefdetN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0104.script
*   ditp
*/
function checkDidgrpBlkDefdetN1001(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0118.script
*   
*/
function checkDidgrpRecElcflgN100(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.insbnk
*/
function checkDidgrpBlkInsbnkN100(rule, value, callback) {
    callback()
}
/**
*   source:liaccv.@0016.script
*   liaall.liaccv
*/
function checkLiaallLiaccvTotcovamtN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.bebp
*/
function checkDidgrpBebPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0014.script
*   ditp.aplp
*/
function checkDidgrpAplPtsAdrblkN950(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0026.script
*   ditp
*/
function checkDidgrpRecLcrtypN900(rule, value, callback) {
    callback()
    //清空转让行相关字段
    this.model.didgrp.cmb.pts.bankno = "";
    this.model.didgrp.cmb.pts.jigomc = "";
    this.model.didgrp.cmb.pts.dizhii = "";
}
/**
*   source:ditp.@0089.script
*   ditp
*/
function checkDidgrpRecShpfroN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0079.script
*   
*/
function checkDidgrpRecGuaflgN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0031.script
*   ditp.issp
*/
function checkDidgrpIssPtsBanknoN100(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.lcrgod
*/
function checkDidgrpBlkLcrgodN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.blk.lcrgod").then(res => {
        that.model.didgrp.blk.lcrgod = res.data.didgrp_blk_lcrgod;
        callback()
    })
}
/**
*   source:ditopn.@0109.script
*   
*/
// function checkDidgrpBlkLcrgodN100(rule, value, callback) {
// }
/**
*   source:ditp.@0100.script
*   ditp
*/
function checkDidgrpBlkLcrgodN1001(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0115.script
*   
*/
function checkDidgrpRecIdcodeN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0111.script
*   
*/
function checkDidgrpRecFenctgN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.fenctg").then(res => {
        //TODO
        callback()
    })
    //清空议付行相关字段
    this.model.didgrp.rec.avbwth = "";
    this.model.didgrp.avb.pts.bankno = "";
    this.model.didgrp.avb.pts.jigomc = "";
    this.model.didgrp.avb.pts.dizhii = "";
}
/**
*   source:limmod.@0099.script
*   liaall.limmod
*/
function checkLiaallLimmodLimptsWrkPtsExtkeyN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0009.script
*   liaall.limmod.wrkp.ptsget
*/
function checkLiaallLimmodLimptsWrkPtsExtkeyN950(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0013.script
*   liaall.limmod.wrkp
*/
function checkLiaallLimmodLimptsWrkPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0131.script
*   
*/
function checkDidgrpBenPtsDihdigN1004(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0107.script
*   
*/

function checkDidgrpRecShpdatN100(rule, value, callback)  {
        var a = new Date(value)
        var b =new Date(this.model.didgrp.rec.opndat)
        if (a.getTime()<b.getTime()) {
            return callback(new Error('日期必须大于开证日期'));
        }
        callback()
    }
// function checkDidgrpRecShpdatN100(rule, value, callback) {
// }
/**
*   source:ditopn.@0002.script
*   
*/
function checkDidgrpRecShpdatN999(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0005.script
*   
*/
function checkDidgrpCbsNom1CurN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0125.script
*   
*/
function checkDidgrpIssPtsDihdigN1001(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.iss.pts.dihdig").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ptsp.@0038.script
*   ditp.aplp
*/
function checkDidgrpAplNamelcN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.apl.namelc").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditp.@0039.script
*   ditp
*/
function checkDidgrpRecRevtypN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0014.script
*   ditp.rmbp
*/
function checkDidgrpRmbPtsAdrblkN950(rule, value, callback) {
    callback()
}
/**
*   source:coninf.@0014.script
*   mtabut.coninf
*/
function checkMtabutConinfConexedatN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0128.script
*   
*/
function checkDidgrpAdvPtsYouzbmN1003(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.adv.pts.youzbm").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditopn.@0123.script
*   
*/
function checkDidgrpAplPtsExtactN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0014.script
*   ditp.benp
*/
function checkDidgrpBenPtsAdrblkN950(rule, value, callback) {
    callback()
}
/**
*   source:limpts.@0000.script
*   liaall.limmod.limpts
*/
function checkLiaallLimmodLimptsNonrevflg1N100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0126.script
*   
*/
function checkDidgrpApcPtsYouzbmN1002(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0130.script
*   
*/
function checkDidgrpBenPtsYouzbmN1004(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0027.script
*   
*/
function checkDidgrpRecOpndatN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0028.script
*   ditp
*/
function checkDidgrpRecOpndatN950(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0030.script
*   
*/
function checkDidgrpRecAvbbyN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.avbby").then(res => {
        //TODO
        if (res.respCode == "AAAAAA"){
            Utils.copyValueFromVO(that.model, res.data);
        }
    })
    callback()
}
/**
*   source:ditp.@0077.script
*   ditp
*/
function checkDidgrpRecMytypeN100(rule, value, callback) {
    const that = this;
    callback()
    that.model.didgrp.rec.sdsrfs = "";
    that.model.didgrp.rec.shpfro = "";
    that.model.didgrp.rec.shpto = "";
    that.model.didgrp.rec.shppro = "";
}
/**
*   source:ditp.@0012.script
*   ditp
*/
function checkDitpUsrExtkeyN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsget.@0001.script
*   liaall.limmod.wrkp.ptsget
*/
function checkLiaallLimmodWrkpPtsgetSdamodDadsndN100(rule, value, callback) {
    callback()
}
/**
*   source:didget.@0001.script
*   ditp.recget
*/
function checkDitpRecgetSdamodDadsndN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0127.script
*   
*/
function checkDidgrpApcPtsDihdigN1002(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0022.script
*   
*/
function checkDidgrpAdvPtsExtkeyN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.adv.pts.extkey").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ptsget.@0009.script
*   ditp.advp.ptsget
*/
function checkDidgrpAdvPtsExtkeyN950(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0013.script
*   ditp.advp
*/
function checkDidgrpAdvPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0038.script
*   ditp.rmbp
*/
function checkDidgrpRmbNamelcN100(rule, value, callback) {
    callback()
}
/**
*   source:setmod.@0016.script
*   setmod
*/
function checkSetmodDocamtN100(rule, value, callback) {
    callback()
}
/**
*   source:liaall.@0036.script
*   liaall
*/
function checkSetmodDocamtN15000(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0129.script
*   
*/
function checkDidgrpAdvPtsDihdigN1003(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.adv.pts.dihdig").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ditopn.@0003.script
*   
*/

function checkDidgrpRecExpdatN100(rule, value, callback)  {
        var a = new Date(value)
        var b =new Date(this.model.didgrp.rec.opndat)
        if (a.getTime()<b.getTime()) {
            return callback(new Error('日期必须大于开证日期'));
        }
        callback()
    }

/**
*   source:ptsget.@0009.script
*   ditp.benp.ptsget
*/
function checkDidgrpBenPtsExtkeyN950(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.ben.pts.extkey").then(res => {
        //TODO
        callback()
    })
}
/**
*   source:ptsp.@0013.script
*   ditp.benp
*/
function checkDidgrpBenPtsExtkeyN960(rule, value, callback) {
    callback()
}
/**
*   source:liaccv.@0025.script
*   liaall.liaccv
*/
function checkLiaallLiaccvCshpctN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0024.script
*   ditp
*/
function checkDidgrpRecAvbwthN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0046.script
*   ditp
*/
function checkDidgrpRecAvbwthN900(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.lcrdoc
*/
function checkDidgrpBlkLcrdocN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.blk.lcrdoc").then(res => {
        that.model.didgrp.blk.lcrdoc = res.data.didgrp_blk_lcrdoc;
        callback()
    })
}
/**
*   source:ditopn.@0110.script
*   
*/
// function checkDidgrpBlkLcrdocN100(rule, value, callback) {
// }
/**
*   source:ditp.@0101.script
*   ditp
*/
function checkDidgrpBlkLcrdocN1001(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0044.script
*   
*/
function checkDidgrpRecTenmaxdayN1000(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.rec.tenmaxday").then(res => {
        //TODO
        Utils.copyValueFromVO(this.model, res.data)
        callback()
    })
}
/**
*   source:ditp.@0049.script
*   ditp
*/
function checkDidgrpRecTenmaxdayN1050(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0006.script
*   
*/
function checkDidgrpCbsNom1AmtN100(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.preper
*/
function checkDidgrpBlkPreperN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0083.script
*   ditp
*/
function checkDidgrpBlkPreperN100(rule, value, callback) {
    callback()
}
/**
*   source:ptsp.@0039.script
*   ditp.aplp
*/
function checkDidgrpAplAdrelcN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("didgrp.apl.adrelc").then(res => {
        callback()
    })
}
/**
*   source:ptsget.@0001.script
*   ditp.rmbp.ptsget
*/
function checkDitpRmbpPtsgetSdamodDadsndN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0132.script
*   
*/
function checkDidgrpBenPtsExtactN1001(rule, value, callback) {
    callback()
}
/**
*   source:txmmod.@0009.script
*   ditp.adlcnd
*/
function checkDidgrpBlkAdlcndN100(rule, value, callback) {
    callback()
}
/**
*   source:ditp.@0102.script
*   ditp
*/
function checkDidgrpBlkAdlcndN100(rule, value, callback) {
    callback()
}
/**
*   source:ditopn.@0090.script
*   
*/
function checkLitameadvN100(rule, value, callback) {
    const that = this;
    that.exeuteCheck("litameadv").then(res => {
        callback()
    })
    this.model.ameadvrmk = ""


}
/**
*   source:liaccv.@0024.script
*   liaall.liaccv
*/
function checkLiaallLiaccvRelcshpctN100(rule, value, callback) {
    callback()
}


function ruleLitameadvN100(rule, value, callback) {
    const that = this;
    that.executeRule("litameadv").then(res => {
        callback()
    })
}

function resetDidgrpRecBdflg(rule, value, callback){
    
    callback()
    this.model.didgrp.rmb.pts.bankno = "";
    this.model.didgrp.rmb.pts.jigomc = "";
    this.model.didgrp.rmb.pts.dizhii = "";
}
